Index: LMDZ4/branches/LMDZ4_AR5/libf/bibio/lnblnk.F
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/bibio/lnblnk.F	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/bibio/lnblnk.F	(revision 1717)
@@ -23,15 +23,17 @@
 
       IMPLICIT NONE
-      INTEGER i,imax
-      PARAMETER (imax = 256)
-      CHARACTER*256 letter
+!      INTEGER i,imax
+!      PARAMETER (imax = 256)
+!      CHARACTER*256 letter
+      CHARACTER(len=*) :: letter
+!      i=0
 
-      i=0
+!10    i=i+1
+!      IF (letter(i:i+3) . EQ . '   ') GOTO 20
+!      GOTO 10
 
-10    i=i+1
-      IF (letter(i:i+3) . EQ . '   ') GOTO 20
-      GOTO 10
+!20    lnblnk=i-1
 
-20    lnblnk=i-1
+      lnblnk=len_trim(letter)
 
       RETURN
Index: LMDZ4/branches/LMDZ4_AR5/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/dyn3d/leapfrog.F	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/dyn3d/leapfrog.F	(revision 1717)
@@ -72,5 +72,5 @@
 
       real zqmin,zqmax
-      INTEGER nbetatmoy, nbetatdem,nbetat
+!      INTEGER nbetatmoy, nbetatdem,nbetat
 
 c   variables dynamiques
@@ -575,5 +575,5 @@
 c           IF( MOD(itau,iecri*day_step).EQ.0) THEN
 
-              nbetat = nbetatdem
+!              nbetat = nbetatdem
               CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
               unat=0.
@@ -682,5 +682,5 @@
               IF(MOD(itau,iecri         ).EQ.0) THEN
 c              IF(MOD(itau,iecri*day_step).EQ.0) THEN
-                nbetat = nbetatdem
+!                nbetat = nbetatdem
                 CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
                 unat=0.
Index: LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/leapfrog_p.F	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/leapfrog_p.F	(revision 1717)
@@ -75,5 +75,5 @@
 
       real zqmin,zqmax
-      INTEGER nbetatmoy, nbetatdem,nbetat
+!      INTEGER nbetatmoy, nbetatdem,nbetat
 
 c   variables dynamiques
@@ -1348,5 +1348,5 @@
 c$OMP BARRIER
 c$OMP MASTER
-              nbetat = nbetatdem
+!              nbetat = nbetatdem
               CALL geopot_p(ip1jmp1,teta,pk,pks,phis,phi)
        
@@ -1510,5 +1510,5 @@
 c$OMP BARRIER
 c$OMP MASTER
-                nbetat = nbetatdem
+!                nbetat = nbetatdem
                 CALL geopot_p(ip1jmp1,teta,pk,pks,phis,phi)
 
Index: LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/parallel.F90
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/parallel.F90	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/dyn3dpar/parallel.F90	(revision 1717)
@@ -476,5 +476,10 @@
           enddo
           
-        endif
+        else
+          ! Ehouarn: When in debug mode, ifort complains (for call MPI_GATHERV
+          !          below) about Buffer_Recv() being not allocated.
+          !          So make a dummy allocation.
+          allocate(Buffer_Recv(1))
+        endif ! of if (MPI_Rank==rank)
   
 !$OMP CRITICAL (MPI)
Index: LMDZ4/branches/LMDZ4_AR5/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/phylmd/physiq.F	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/phylmd/physiq.F	(revision 1717)
@@ -1186,5 +1186,5 @@
       REAL, dimension(klon, klev) :: cldtaurad  ! epaisseur optique pour radlwsw,COSP
       REAL, dimension(klon, klev) :: cldemirad  ! emissivite pour radlwsw,COSP 
-
+      integer iostat
 cIM for NMC files
       missing_val=nf90_fill_real
@@ -1474,5 +1474,6 @@
       nCFMIP=npCFMIP
       OPEN(98,file='npCFMIP_param.data',status='old',
-     $          form='formatted',err=999)
+     $          form='formatted',iostat=iostat)
+            if (iostat == 0) then
       READ(98,*,end=998) nCFMIP
 998   CONTINUE
@@ -1506,5 +1507,9 @@
      $tabijGCM, lonGCM, latGCM, iGCM, jGCM)
 c
-999      CONTINUE
+            else
+               ALLOCATE(tabijGCM(0))
+               ALLOCATE(lonGCM(0), latGCM(0))
+               ALLOCATE(iGCM(0), jGCM(0))
+            end if
          ENDIF !debut
  
Index: LMDZ4/branches/LMDZ4_AR5/libf/phylmd/printflag.F
===================================================================
--- LMDZ4/branches/LMDZ4_AR5/libf/phylmd/printflag.F	(revision 1636)
+++ LMDZ4/branches/LMDZ4_AR5/libf/phylmd/printflag.F	(revision 1717)
@@ -85,7 +85,7 @@
        IF( INT( tabcntr0( 6 ) ) .NE. nbapp_rad  )   THEN
         PRINT 21,  INT(tabcntr0(6)), nbapp_rad
-        radpas0  = NINT( 86400./tabcntr0(1)/INT( tabcntr0(6) ) )
+!        radpas0  = NINT( 86400./tabcntr0(1)/INT( tabcntr0(6) ) )
         PRINT 100
-        PRINT 22, radpas0, radpas
+!        PRINT 22, radpas0, radpas
         PRINT 100
        ENDIF