Index: LMDZ5/branches/testing/libf/phylmd/cva_driver.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cva_driver.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/phylmd/cva_driver.F	(revision 1750)
@@ -21,7 +21,7 @@
      &                   Plim11,Plim21,asupmax1,supmax01,asupmaxmin1
      &                   ,lalim_conv, 
-!AC!
-     &                   da1,phi1)
-!AC!
+     &                   da1,phi1,mp1,phi21,d1a1,dam1,sigij1,clw1,     ! RomP
+     &                   elij1,evap1,ep1,                              ! RomP 
+     &                   wdtrainA1,wdtrainM1)                          ! RomP
 ***************************************************************
 *                                                             *
@@ -175,6 +175,6 @@
 c
 !AC!
-      real da1(len,nd),phi1(len,nd,nd)
-      real da(len,nd),phi(len,nd,nd)
+!!      real da1(len,nd),phi1(len,nd,nd)
+!!      real da(len,nd),phi(len,nd,nd)
 !AC!
       real ftd1(len,nd)
@@ -186,4 +186,16 @@
       real asupmaxmin1(len)
       integer lalim_conv(len)
+! RomP >>> 
+      real wdtrainA1(len,nd), wdtrainM1(len,nd)
+      real wdtrainA(nloc,klev),wdtrainM(nloc,klev)
+      real da1(len,nd),phi1(len,nd,nd),mp1(len,nd)
+      real da(len,nd),phi(len,nd,nd)
+      real evap1(len,nd),ep1(len,nd)
+      real sigij1(len,nd,nd),elij1(len,nd,nd)
+      real phi2(len,nd,nd)
+      real d1a(len,nd), dam(len,nd)
+      real phi21(len,nd,nd)
+      real d1a1(len,nd), dam1(len,nd)
+! RomP <<<
 !-------------------------------------------------------------------
 ! --- ARGUMENTS
@@ -397,5 +409,5 @@
       real cin(nloc)
       real m(nloc,klev)
-      real ment(nloc,klev,klev), sij(nloc,klev,klev)
+      real ment(nloc,klev,klev), sigij(nloc,klev,klev)
       real qent(nloc,klev,klev)
       real hent(nloc,klev,klev)
@@ -505,5 +517,5 @@
       call  zilch(cbmf1   ,nword1)
       call  zilch(ptop21  ,nword1)
-      sigd1=0.
+      sigd1(:)=0.
       call  zilch(Ma1     ,nword2)
       call  zilch(mip1    ,nword2)
@@ -771,5 +783,5 @@
      :                       ,unk,vnk,hp,tv,tvp,ep,clw,sig
      :                    ,ment,qent,hent,uent,vent,nent
-     :                   ,sij,elij,supmax,ments,qents,traent)
+     :                   ,sigij,elij,supmax,ments,qents,traent)
 !        print*, 'cv3p_mixing-> supmax ', (supmax(1,k), k=1,nd)
       
@@ -828,5 +840,5 @@
      :                       ,ph,t,q,qs,u,v,tra,h,lv,qnk
      :                       ,unk,vnk,hp,tv,tvp,ep,clw,m,sig
-     o   ,ment,qent,uent,vent,nent,sij,elij,ments,qents,traent)
+     o   ,ment,qent,uent,vent,nent,sigij,elij,ments,qents,traent)
          CALL zilch(hent,nloc*klev*klev)
         ELSE
@@ -842,5 +854,5 @@
      :                     ,ph,t,q,qs,u,v,h,lv,qnk
      :                     ,hp,tv,tvp,ep,clw,cbmf
-     o                     ,m,ment,qent,uent,vent,nent,sij,elij)
+     o                     ,m,ment,qent,uent,vent,nent,sigij,elij)
       endif
 c
@@ -865,5 +877,6 @@
      :               ,ep,sigp,clw
      :               ,m,ment,elij,delt,plcl,coef_clos
-     o          ,mp,qp,up,vp,trap,wt,water,evap,b,sigd)
+     o          ,mp,qp,up,vp,trap,wt,water,evap,b,sigd
+     o          ,wdtrainA,wdtrainM)   ! RomP
       endif
      
@@ -925,6 +938,9 @@
 
       if (iflag_con.eq.3) then
+!RomP >>>
        CALL cv3_tracer(nloc,len,ncum,nd,nd,
-     :                  ment,sij,da,phi)
+     :                  ment,sigij,da,phi,phi2,d1a,dam,
+     :                  ep,Vprecip,elij,clw,icb,inb)
+!RomP <<<
       endif
 
@@ -947,7 +963,7 @@
      :          ,Plim1,Plim2,asupmax,supmax0
      :          ,asupmaxmin
-!AC!
-     :          ,da,phi
-!AC!
+     :          ,da,phi,mp,phi2,d1a,dam,sigij         ! RomP
+     :          ,wdtrainA,wdtrainM,elij,clw           ! RomP
+     :          ,evap,ep                              ! RomP
      o          ,iflag1,kbas1,ktop1
      o          ,precip1,cbmf1,plcl1,plfc1,wbeff1,sig1,w01,ptop21
@@ -959,7 +975,7 @@
      o          ,Plim11,Plim21,asupmax1,supmax01
      o          ,asupmaxmin1
-!AC!
-     o          ,da1,phi1)
-!AC!
+     o          ,da1,phi1,mp1,phi21,d1a1,dam1,sigij1  ! RomP
+     o          ,wdtrainA1,wdtrainM1,elij1,clw1       ! RomP
+     o          ,evap1,ep1)                           ! RomP
       endif
 