Index: LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F	(revision 1908)
+++ LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F	(revision 1939)
@@ -68,5 +68,5 @@
      &  'dynetat0_loc: Pb d''ouverture du fichier start.nc'
         write(lunout,*)' ierr = ', ierr
-        CALL ABORT
+        CALL ABORT_GCM("DYNETAT0", "", 1)
       ENDIF
 
@@ -75,5 +75,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <controle> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -84,5 +84,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echoue pour <controle>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -158,5 +158,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <rlonu> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -167,5 +167,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <rlonu>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -173,5 +173,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <rlatu> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -182,5 +182,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <rlatu>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -188,5 +188,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <rlonv> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -197,5 +197,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <rlonv>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -203,5 +203,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <rlatv> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -212,5 +212,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour rlatv"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -218,5 +218,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <cu> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -227,5 +227,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <cu>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -233,5 +233,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <cv> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -242,5 +242,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <cv>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -248,5 +248,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <aire> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -257,5 +257,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <aire>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
       
@@ -265,5 +265,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <phisinit> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -274,5 +274,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <phisinit>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
       phis(ijb_u:ije_u)=phis_glo(ijb_u:ije_u)
@@ -286,5 +286,5 @@
          IF (ierr .NE. NF_NOERR) THEN
             write(lunout,*)"dynetat0: Le champ <Time> est absent"
-            CALL abort
+            CALL abort_gcm("dynetat0", "", 1)
          ENDIF
       ENDIF
@@ -296,5 +296,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee <temps>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -302,5 +302,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <ucov> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
       
@@ -314,5 +314,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <ucov>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -324,5 +324,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <vcov> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -333,5 +333,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <vcov>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
       vcov(ijb_v:ije_v,:)=vcov_glo(ijb_v:ije_v,:)
@@ -342,5 +342,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <teta> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -351,5 +351,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <teta>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -375,5 +375,5 @@
             write(lunout,*)
      &      "dynetat0_loc: Lecture echouee pour "//tname(iq)
-            CALL abort
+            CALL abort_gcm("dynetat0", "", 1)
           ENDIF
         q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
@@ -388,5 +388,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <masse> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -397,5 +397,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <masse>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
       masse(ijb_u:ije_u,:)=masse_glo(ijb_u:ije_u,:)
@@ -406,5 +406,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Le champ <ps> est absent"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 #ifdef NC_DOUBLE
@@ -415,5 +415,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0_loc: Lecture echouee pour <ps>"
-         CALL abort
+         CALL abort_gcm("dynetat0", "", 1)
       ENDIF
 