Index: /LMDZ5/trunk/libf/phylmd/thermcell.F
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcell.F	(revision 1977)
+++ /LMDZ5/trunk/libf/phylmd/thermcell.F	(revision 1978)
@@ -1003,86 +1003,4 @@
 #endif
 123   continue
-#define troisD
-#ifdef troisD
-c       if (sorties) then
-c      print*,'Debut des wrgradsfi'
-
-c      print*,'16 OK convect8'
-         call wrgradsfi(1,nlay,wd,'wd        ','wd        ')
-         call wrgradsfi(1,nlay,zwa,'wa        ','wa        ')
-         call wrgradsfi(1,nlay,fracd,'fracd     ','fracd     ')
-         call wrgradsfi(1,nlay,fraca,'fraca     ','fraca     ')
-         call wrgradsfi(1,nlay,xxx,'xxx       ','xxx       ')
-         call wrgradsfi(1,nlay,wa_moy,'wam       ','wam       ')
-c      print*,'WA6 ',wa_moy
-         call wrgradsfi(1,nlay,zla,'la        ','la        ')
-         call wrgradsfi(1,nlay,zld,'ld        ','ld        ')
-         call wrgradsfi(1,nlay,pt,'pt        ','pt        ')
-         call wrgradsfi(1,nlay,zh,'zh        ','zh        ')
-         call wrgradsfi(1,nlay,zha,'zha        ','zha        ')
-         call wrgradsfi(1,nlay,zua,'zua        ','zua        ')
-         call wrgradsfi(1,nlay,zva,'zva        ','zva        ')
-         call wrgradsfi(1,nlay,zu,'zu        ','zu        ')
-         call wrgradsfi(1,nlay,zv,'zv        ','zv        ')
-         call wrgradsfi(1,nlay,zo,'zo        ','zo        ')
-         call wrgradsfi(1,nlay,wh,'wh        ','wh        ')
-         call wrgradsfi(1,nlay,wu,'wu        ','wu        ')
-         call wrgradsfi(1,nlay,wv,'wv        ','wv        ')
-         call wrgradsfi(1,nlay,wo,'wo        ','wo        ')
-         call wrgradsfi(1,1,zmax,'zmax      ','zmax      ')
-         call wrgradsfi(1,nlay,zdhadj,'zdhadj    ','zdhadj    ')
-         call wrgradsfi(1,nlay,pduadj,'pduadj    ','pduadj    ')
-         call wrgradsfi(1,nlay,pdvadj,'pdvadj    ','pdvadj    ')
-         call wrgradsfi(1,nlay,pdoadj,'pdoadj    ','pdoadj    ')
-         call wrgradsfi(1,nlay,entr,'entr      ','entr      ')
-         call wrgradsfi(1,nlay,detr,'detr      ','detr      ')
-         call wrgradsfi(1,nlay,fm,'fm        ','fm        ')
-         call wrgradsfi(1,nlay,fmc,'fmc       ','fmc       ')
-         call wrgradsfi(1,nlay,zw2,'zw2       ','zw2       ')
-         call wrgradsfi(1,nlay,ztva,'ztva      ','ztva      ')
-         call wrgradsfi(1,nlay,ztv,'ztv       ','ztv       ')
-
-         call wrgradsfi(1,nlay,zo,'zo        ','zo        ')
-         call wrgradsfi(1,nlay,larg_cons,'Lc        ','Lc        ')
-         call wrgradsfi(1,nlay,larg_detr,'Ldetr     ','Ldetr     ')
-
-cCR:nouveaux diagnostiques
-      call wrgradsfi(1,nlay,entr_star  ,'entr_star   ','entr_star   ')     
-      call wrgradsfi(1,nlay,f_star    ,'f_star   ','f_star   ')
-      call wrgradsfi(1,1,zmax,'zmax      ','zmax      ')
-      call wrgradsfi(1,1,zmix,'zmix      ','zmix      ') 
-      zsortie1d(:)=lmax(:)
-      call wrgradsfi(1,1,zsortie1d,'lmax      ','lmax      ')
-      call wrgradsfi(1,1,wmax,'wmax      ','wmax      ')
-      zsortie1d(:)=lmix(:)
-      call wrgradsfi(1,1,zsortie1d,'lmix      ','lmix      ')
-      zsortie1d(:)=lentr(:)
-      call wrgradsfi(1,1,zsortie1d,'lentr      ','lentr     ')
-
-c      print*,'17 OK convect8'
-
-         do k=1,klev/10
-            write(str2,'(i2.2)') k
-            str10='wa'//str2
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=wa(ig,k,l)
-               enddo
-            enddo   
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=larg_part(ig,k,l)
-               enddo
-            enddo
-            str10='la'//str2
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-         enddo
-
-
-c     print*,'18 OK convect8'
-c      endif
-c      print*,'Fin des wrgradsfi'
-#endif
 
       endif
Index: /LMDZ5/trunk/libf/phylmd/thermcellV0_main.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcellV0_main.F90	(revision 1977)
+++ /LMDZ5/trunk/libf/phylmd/thermcellV0_main.F90	(revision 1978)
@@ -191,21 +191,5 @@
          entr0=0.
          detr0=0.
-
-
-#undef wrgrads_thermcell
-#ifdef wrgrads_thermcell
-! Initialisation des sorties grads pour les thermiques.
-! Pour l'instant en 1D sur le point igout.
-! Utilise par thermcell_out3d.h
-         str10='therm'
-         call inigrads(1,1,rlond(igout),1.,-180.,180.,jjm, &
-     &   rlatd(igout),-90.,90.,1.,llm,pplay(igout,:),1.,   &
-     &   ptimestep,str10,'therm ')
-#endif
-
-
-
       endif
-
       fm=0. ; entr=0. ; detr=0.
 
@@ -795,8 +779,4 @@
 
       if (prt_level.ge.1) print*,'thermcell_main sorties 3D'
-#ifdef wrgrads_thermcell
-      include "thermcell_out3d.h"
-#endif
-
       endif
 
Index: /LMDZ5/trunk/libf/phylmd/thermcell_main.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcell_main.F90	(revision 1977)
+++ /LMDZ5/trunk/libf/phylmd/thermcell_main.F90	(revision 1978)
@@ -1070,9 +1070,4 @@
 !     print*,'15 OK convect8 CCCCCCCCCCCCCCCCCCc'
 
-#ifdef wrgrads_thermcell
-      if (prt_level.ge.1) print*,'thermcell_main sorties 3D'
-#include "thermcell_out3d.h"
-#endif
-
       endif
 
Index: /LMDZ5/trunk/libf/phylmd/thermcell_old.F
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcell_old.F	(revision 1977)
+++ /LMDZ5/trunk/libf/phylmd/thermcell_old.F	(revision 1978)
@@ -4202,86 +4202,4 @@
 #endif
 123   continue
-#define troisD
-#ifdef troisD
-c       if (sorties) then
-      print*,'Debut des wrgradsfi'
-
-c      print*,'16 OK convect8'
-         call wrgradsfi(1,nlay,wd,'wd        ','wd        ')
-         call wrgradsfi(1,nlay,zwa,'wa        ','wa        ')
-         call wrgradsfi(1,nlay,fracd,'fracd     ','fracd     ')
-         call wrgradsfi(1,nlay,fraca,'fraca     ','fraca     ')
-         call wrgradsfi(1,nlay,xxx,'xxx       ','xxx       ')
-         call wrgradsfi(1,nlay,wa_moy,'wam       ','wam       ')
-c      print*,'WA6 ',wa_moy
-         call wrgradsfi(1,nlay,zla,'la        ','la        ')
-         call wrgradsfi(1,nlay,zld,'ld        ','ld        ')
-         call wrgradsfi(1,nlay,pt,'pt        ','pt        ')
-         call wrgradsfi(1,nlay,zh,'zh        ','zh        ')
-         call wrgradsfi(1,nlay,zha,'zha        ','zha        ')
-         call wrgradsfi(1,nlay,zua,'zua        ','zua        ')
-         call wrgradsfi(1,nlay,zva,'zva        ','zva        ')
-         call wrgradsfi(1,nlay,zu,'zu        ','zu        ')
-         call wrgradsfi(1,nlay,zv,'zv        ','zv        ')
-         call wrgradsfi(1,nlay,zo,'zo        ','zo        ')
-         call wrgradsfi(1,nlay,wh,'wh        ','wh        ')
-         call wrgradsfi(1,nlay,wu,'wu        ','wu        ')
-         call wrgradsfi(1,nlay,wv,'wv        ','wv        ')
-         call wrgradsfi(1,nlay,wo,'wo        ','wo        ')
-         call wrgradsfi(1,1,zmax,'zmax      ','zmax      ')
-         call wrgradsfi(1,nlay,zdhadj,'zdhadj    ','zdhadj    ')
-         call wrgradsfi(1,nlay,pduadj,'pduadj    ','pduadj    ')
-         call wrgradsfi(1,nlay,pdvadj,'pdvadj    ','pdvadj    ')
-         call wrgradsfi(1,nlay,pdoadj,'pdoadj    ','pdoadj    ')
-         call wrgradsfi(1,nlay,entr,'entr      ','entr      ')
-         call wrgradsfi(1,nlay,detr,'detr      ','detr      ')
-         call wrgradsfi(1,nlay,fm,'fm        ','fm        ')
-         call wrgradsfi(1,nlay,fmc,'fmc       ','fmc       ')
-         call wrgradsfi(1,nlay,zw2,'zw2       ','zw2       ')
-         call wrgradsfi(1,nlay,ztva,'ztva      ','ztva      ')
-         call wrgradsfi(1,nlay,ztv,'ztv       ','ztv       ')
-
-         call wrgradsfi(1,nlay,zo,'zo        ','zo        ')
-         call wrgradsfi(1,nlay,larg_cons,'Lc        ','Lc        ')
-         call wrgradsfi(1,nlay,larg_detr,'Ldetr     ','Ldetr     ')
-
-cCR:nouveaux diagnostiques
-      call wrgradsfi(1,nlay,entr_star  ,'entr_star   ','entr_star   ')     
-      call wrgradsfi(1,nlay,f_star    ,'f_star   ','f_star   ')
-      call wrgradsfi(1,1,zmax,'zmax      ','zmax      ')
-      call wrgradsfi(1,1,zmix,'zmix      ','zmix      ') 
-      zsortie1d(:)=lmax(:)
-      call wrgradsfi(1,1,zsortie1d,'lmax      ','lmax      ')
-      call wrgradsfi(1,1,wmax,'wmax      ','wmax      ')
-      zsortie1d(:)=lmix(:)
-      call wrgradsfi(1,1,zsortie1d,'lmix      ','lmix      ')
-      zsortie1d(:)=lentr(:)
-      call wrgradsfi(1,1,zsortie1d,'lentr      ','lentr     ')
-
-c      print*,'17 OK convect8'
-
-         do k=1,klev/10
-            write(str2,'(i2.2)') k
-            str10='wa'//str2
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=wa(ig,k,l)
-               enddo
-            enddo   
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=larg_part(ig,k,l)
-               enddo
-            enddo
-            str10='la'//str2
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-         enddo
-
-
-c     print*,'18 OK convect8'
-c      endif
-      print*,'Fin des wrgradsfi'
-#endif
 
       endif
@@ -5576,28 +5494,4 @@
       enddo
 
-
-
-         do k=1,klev/10
-            write(str2,'(i2.2)') k
-            str10='wa'//str2
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=wa(ig,k,l)
-               enddo
-            enddo   
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-            do l=1,nlay
-               do ig=1,ngrid
-                  zsortie(ig,l)=larg_part(ig,k,l)
-               enddo
-            enddo
-            str10='la'//str2
-            CALL wrgradsfi(1,nlay,zsortie,str10,str10)
-         enddo
-
-      endif
-
-
-
       return
       end
Index: DZ5/trunk/libf/phylmd/thermcell_out3d.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcell_out3d.h	(revision 1977)
+++ 	(revision )
@@ -1,75 +1,0 @@
-!       if (sorties) then
-
-!      print*,'16 OK convect8'
-         call wrgradsfi(1,nlay,pt(igout,1:klev),'pt        ','pt        ')
-         call wrgradsfi(1,nlay,fraca(igout,1:klev),'fraca     ','fraca     ')
-         call wrgradsfi(1,nlay,zh(igout,1:klev),'zh        ','zh        ')
-         call wrgradsfi(1,nlay,zha(igout,1:klev),'zha        ','zha        ')
-         call wrgradsfi(1,nlay,zua(igout,1:klev),'zua        ','zua        ')
-         call wrgradsfi(1,nlay,zva(igout,1:klev),'zva        ','zva        ')
-         call wrgradsfi(1,nlay,zu(igout,1:klev),'zu        ','zu        ')
-         call wrgradsfi(1,nlay,zv(igout,1:klev),'zv        ','zv        ')
-         call wrgradsfi(1,nlay,zo(igout,1:klev),'zo        ','zo        ')
-         call wrgradsfi(1,1,zmax(igout),'zmax      ','zmax      ')
-!         call wrgradsfi(1,nlay,zdhadj(igout,1:klev),'zdhadj    ','zdhadj    ')
-         call wrgradsfi(1,nlay,pduadj(igout,1:klev),'pduadj    ','pduadj    ')
-         call wrgradsfi(1,nlay,pdvadj(igout,1:klev),'pdvadj    ','pdvadj    ')
-         call wrgradsfi(1,nlay,pdoadj(igout,1:klev),'pdoadj    ','pdoadj    ')
-         call wrgradsfi(1,nlay,entr(igout,1:klev),'entr      ','entr      ')
-         call wrgradsfi(1,nlay,detr(igout,1:klev),'detr      ','detr      ')
-         call wrgradsfi(1,nlay,fm(igout,1:klev),'fm        ','fm        ')
-         call wrgradsfi(1,nlay,zw2(igout,1:klev),'zw2       ','zw2       ')
-         call wrgradsfi(1,nlay,zw_est(igout,1:klev),'w_est      ','w_est      ')
-!on sort les moments
-         call wrgradsfi(1,nlay,thetath2(igout,1:klev),'zh2       ','zh2       ')
-         call wrgradsfi(1,nlay,wth2(igout,1:klev),'w2       ','w2       ')
-         call wrgradsfi(1,nlay,wth3(igout,1:klev),'w3       ','w3       ')
-         call wrgradsfi(1,nlay,q2(igout,1:klev),'q2       ','q2       ')
-!
-!
-         call wrgradsfi(1,nlay,wthl(igout,1:klev),'wthl       ','wthl       ')
-         call wrgradsfi(1,nlay,wthv(igout,1:klev),'wthv       ','wthv       ')
-         call wrgradsfi(1,nlay,wq(igout,1:klev),'wq       ','wq       ')
-         
-         call wrgradsfi(1,nlay,ztva(igout,1:klev),'ztva      ','ztva      ')
-         call wrgradsfi(1,nlay,ztv(igout,1:klev),'ztv       ','ztv       ')
-
-         call wrgradsfi(1,nlay,zo(igout,1:klev),'zo        ','zo        ')
-         call wrgradsfi(1,nlay,zoa(igout,1:klev),'zoa        ','zoa        ')
-
-!nouveaux diagnostiques
-         call wrgradsfi(1,nlay,zthl(igout,1:klev),'zthl        ','zthl        ')
-         call wrgradsfi(1,nlay,zta(igout,1:klev),'zta        ','zta        ')
-         call wrgradsfi(1,nlay,zl(igout,1:klev),'zl        ','zl        ')
-         call wrgradsfi(1,nlay,zdthladj(igout,1:klev),'zdthladj    ',  &
-     &        'zdthladj    ')
-         call wrgradsfi(1,nlay,ztla(igout,1:klev),'ztla      ','ztla      ')
-         call wrgradsfi(1,nlay,zqta(igout,1:klev),'zqta      ','zqta      ')
-         call wrgradsfi(1,nlay,zqla(igout,1:klev),'zqla      ','zqla      ')
-         call wrgradsfi(1,nlay,deltaz(igout,1:klev),'deltaz      ','deltaz      ')
-!nouveaux diagnostiques
-      call wrgradsfi(1,nlay,entr_star  (igout,1:klev),'entr_star   ','entr_star   ')
-      call wrgradsfi(1,nlay,detr_star  (igout,1:klev),'detr_star   ','detr_star   ')     
-      call wrgradsfi(1,nlay,f_star    (igout,1:klev),'f_star   ','f_star   ')
-      call wrgradsfi(1,nlay,zqsat    (igout,1:klev),'zqsat   ','zqsat   ')
-      call wrgradsfi(1,nlay,zqsatth    (igout,1:klev),'qsath   ','qsath   ')
-      call wrgradsfi(1,nlay,alim_star    (igout,1:klev),'alim_star   ','alim_star   ')
-!      call wrgradsfi(1,nlay,alim    (igout,1:klev),'alim   ','alim   ')
-      call wrgradsfi(1,1,f(igout),'f      ','f      ')
-      call wrgradsfi(1,1,alim_star_tot(igout),'a_s_t      ','a_s_t      ')
-      call wrgradsfi(1,1,zmax(igout),'zmax      ','zmax      ')
-      call wrgradsfi(1,1,zmax_sec(igout),'z_sec      ','z_sec      ')
-      call wrgradsfi(1,1,zmix(igout),'zmix      ','zmix      ') 
-!      call wrgradsfi(1,1,nivcon(igout),'nivcon      ','nivcon      ')
-      call wrgradsfi(1,1,zcon(igout),'zcon      ','zcon      ')
-      call wrgradsfi(1,1,zcon2(igout),'zcon2      ','zcon2      ')
-      zsortie1d(:)=lmax(:)
-      call wrgradsfi(1,1,zsortie1d(igout),'lmax      ','lmax      ')
-      call wrgradsfi(1,1,wmax(igout),'wmax      ','wmax      ')
-      call wrgradsfi(1,1,wmax_sec(igout),'w_sec      ','w_sec      ')
-!      zsortie1d(:)=lmix(:)
-!      call wrgradsfi(1,1,zsortie1d(igout),'lmix      ','lmix      ')
-!      zsortie1d(:)=lentr(:)
-!      call wrgradsfi(1,1,zsortie1d(igout),'lentr      ','lentr     ')
-
-      print*,'Fin des wrgradsfi'
Index: /LMDZ5/trunk/libf/phylmd/thermcell_plume.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/thermcell_plume.F90	(revision 1977)
+++ /LMDZ5/trunk/libf/phylmd/thermcell_plume.F90	(revision 1978)
@@ -462,16 +462,4 @@
         if (prt_level.ge.20) print*,'coucou calcul detr 470: ig, l', ig, l
 
-#undef wrgrads_thermcell
-#ifdef wrgrads_thermcell
-         call wrgradsfi(1,klev,entr_star(igout,1:klev),'esta      ','esta      ')
-         call wrgradsfi(1,klev,detr_star(igout,1:klev),'dsta      ','dsta      ')
-         call wrgradsfi(1,klev,zbuoy(igout,1:klev),'buoy      ','buoy      ')
-         call wrgradsfi(1,klev,zdqt(igout,1:klev),'dqt      ','dqt      ')
-         call wrgradsfi(1,klev,w_est(igout,1:klev),'w_est     ','w_est     ')
-         call wrgradsfi(1,klev,w_est(igout,2:klev+1),'w_es2     ','w_es2     ')
-         call wrgradsfi(1,klev,zw2(igout,1:klev),'zw2A      ','zw2A      ')
-#endif
-
-
      return 
      end
@@ -874,16 +862,4 @@
         if (prt_level.ge.20) print*,'coucou calcul detr 470: ig, l', ig, l
 
-#undef wrgrads_thermcell
-#ifdef wrgrads_thermcell
-         call wrgradsfi(1,klev,entr_star(igout,1:klev),'esta      ','esta      ')
-         call wrgradsfi(1,klev,detr_star(igout,1:klev),'dsta      ','dsta      ')
-         call wrgradsfi(1,klev,zbuoy(igout,1:klev),'buoy      ','buoy      ')
-         call wrgradsfi(1,klev,zdqt(igout,1:klev),'dqt      ','dqt      ')
-         call wrgradsfi(1,klev,w_est(igout,1:klev),'w_est     ','w_est     ')
-         call wrgradsfi(1,klev,w_est(igout,2:klev+1),'w_es2     ','w_es2     ')
-         call wrgradsfi(1,klev,zw2(igout,1:klev),'zw2A      ','zw2A      ')
-#endif
-
-
      return 
      end
Index: DZ5/trunk/libf/phylmd/wrgradsfi.F
===================================================================
--- /LMDZ5/trunk/libf/phylmd/wrgradsfi.F	(revision 1977)
+++ 	(revision )
@@ -1,43 +1,0 @@
-!
-! $Header$
-!
-      subroutine wrgradsfi(if,nl,fieldfi_p,name,titlevar)
-      USE dimphy
-      USE mod_grid_phy_lmdz
-      USE mod_phys_lmdz_para
-      implicit none
-
-c   Declarations
-
-#include "dimensions.h"
-cym#include "dimphy.h"
-
-c   arguments
-      integer if,nl
-      real fieldfi_p(klon,nl)
-      real fieldfi(klon_glo,nl)
-      real fielddyn((iim+1)*(jjm+1),llm)
-      character*10 name
-      character*10 titlevar
-
-c   local
-
-      integer lm,l
-
-
-
-c     print*,'Transformation pour ',name
-      call Gather(fieldfi_p,fieldfi)
-
-c$OMP MASTER      
-      if (is_mpi_root) then
-        call gr_fi_dyn(nl,klon,iim+1,jjm+1,fieldfi,fielddyn)
-        
-c     print*,'Transformation OK '
-        call wrgrads(if,nl,fielddyn,name,titlevar)
-c     print*,'Ecriture ok'
-      endif
-c$OMP END MASTER
-      
-      return
-      end