Index: LMDZ5/branches/testing/libf/dyn3d/dynetat0.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dynetat0.F	(revision 1910)
+++ LMDZ5/branches/testing/libf/dyn3d/dynetat0.F	(revision 1999)
@@ -67,5 +67,5 @@
         write(lunout,*)'dynetat0: Pb d''ouverture du fichier start.nc'
         write(lunout,*)' ierr = ', ierr
-        CALL ABORT
+        CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -74,10 +74,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <controle> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, tab_cntrl)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echoue pour <controle>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -154,10 +154,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <rlonu> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, rlonu)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <rlonu>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -165,10 +165,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <rlatu> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, rlatu)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <rlatu>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -176,10 +176,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <rlonv> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, rlonv)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <rlonv>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -187,10 +187,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <rlatv> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, rlatv)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour rlatv"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -198,10 +198,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <cu> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, cu)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <cu>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -209,10 +209,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <cv> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, cv)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <cv>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -220,10 +220,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <aire> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, aire)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <aire>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -231,10 +231,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <phisinit> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, phis)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <phisinit>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -246,5 +246,5 @@
          IF (ierr .NE. NF_NOERR) THEN
             write(lunout,*)"dynetat0: Le champ <Time> est absent"
-            CALL abort
+            CALL ABORT_gcm("dynetat0", "", 1)
          ENDIF
       ENDIF
@@ -252,5 +252,5 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee <temps>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -258,10 +258,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <ucov> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, ucov)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <ucov>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
  
@@ -269,10 +269,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <vcov> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, vcov)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <vcov>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -280,10 +280,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <teta> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, teta)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <teta>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -301,5 +301,5 @@
           IF (ierr .NE. NF_NOERR) THEN
             write(lunout,*)"dynetat0: Lecture echouee pour "//tname(iq)
-            CALL abort
+            CALL ABORT_gcm("dynetat0", "", 1)
           ENDIF
         ENDIF
@@ -310,10 +310,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <masse> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, masse)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <masse>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 
@@ -321,10 +321,10 @@
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Le champ <ps> est absent"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
       ierr = nf90_get_var(nid, nvarid, ps)
       IF (ierr .NE. NF_NOERR) THEN
          write(lunout,*)"dynetat0: Lecture echouee pour <ps>"
-         CALL abort
+         CALL ABORT_gcm("dynetat0", "", 1)
       ENDIF
 