Index: LMDZ5/trunk/libf/phylmd/rrtm/lwu.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/lwu.F90	(revision 2023)
+++ LMDZ5/trunk/libf/phylmd/rrtm/lwu.F90	(revision 2027)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE LWU &
  & ( KIDIA, KFDIA, KLON, KLEV,&
@@ -69,6 +72,7 @@
  & ALWT     ,BLWT     ,RO3T     ,RT1      ,TREF     ,&
  & RVGCO2   ,RVGH2O   ,RVGO3  
-USE YOERDI   , ONLY : RCH4     ,RN2O     ,RCFC11   ,RCFC12
+!USE YOERDI   , ONLY : RCH4     ,RN2O     ,RCFC11   ,RCFC12
 USE YOERDU   , ONLY : R10E     ,REPSCO   ,REPSCQ
+
 
 IMPLICIT NONE
@@ -87,4 +91,6 @@
 REAL(KIND=JPRB)   ,INTENT(IN)    :: PWV(KLON,KLEV) 
 REAL(KIND=JPRB)   ,INTENT(OUT)   :: PABCU(KLON,NUA,3*KLEV+1) 
+
+#include "clesphys.h"
 !-----------------------------------------------------------------------
 
@@ -115,4 +121,5 @@
  & ZUPMH2O, ZUPMO3, ZZABLY  
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
+
 
 !-----------------------------------------------------------------------
@@ -331,4 +338,6 @@
 !      print *,'END OF LWU'
 
+
+
 !-----------------------------------------------------------------------
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/rrtm_ecrt_140gp.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/rrtm_ecrt_140gp.F90	(revision 2023)
+++ LMDZ5/trunk/libf/phylmd/rrtm/rrtm_ecrt_140gp.F90	(revision 2027)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 !****************** SUBROUTINE RRTM_ECRT_140GP **************************
 
@@ -26,11 +29,14 @@
  & JPINPX  
 USE YOERAD   , ONLY : NOVLP
-USE YOERDI   , ONLY :    RCH4     ,RN2O    ,RCFC11  ,RCFC12
+!USE YOERDI   , ONLY :    RCH4     ,RN2O    ,RCFC11  ,RCFC12
 USE YOESW    , ONLY : RAER
 
 !------------------------------Arguments--------------------------------
 
+
+
 IMPLICIT NONE
 
+#include "clesphys.h"
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON! Number of atmospheres (longitudes) 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV! Number of atmospheric layers 
@@ -384,4 +390,6 @@
 !     ------------------------------------------------------------------
 
+
+
 IF (LHOOK) CALL DR_HOOK('RRTM_ECRT_140GP',1,ZHOOK_HANDLE)
 END SUBROUTINE RRTM_ECRT_140GP
Index: LMDZ5/trunk/libf/phylmd/rrtm/srtm_srtm_224gp.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 2023)
+++ LMDZ5/trunk/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 2027)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SRTM_SRTM_224GP &
  & ( KIDIA , KFDIA  , KLON  , KLEV  , KSW , KOVLP ,&
@@ -15,5 +18,5 @@
 
 USE PARSRTM  , ONLY : JPLAY
-USE YOERDI   , ONLY : RCH4   , RN2O   
+!USE YOERDI   , ONLY : RCH4   , RN2O   
 USE YOERAD   , ONLY : NAER
 USE YOESRTAER, ONLY : RSRTAUA, RSRPIZA, RSRASYA
@@ -21,5 +24,9 @@
 USE YOMCST   , ONLY : RI0 
 
+
+
 IMPLICIT NONE
+
+#include "clesphys.h"
 
 !-- Input arguments
Index: LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90	(revision 2023)
+++ LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90	(revision 2027)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SUECRAD (KULOUT, KLEV, PETAH )
 
@@ -204,5 +207,4 @@
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
 
-
 INTERFACE
 #include "setup_trans.h"
@@ -304,4 +306,7 @@
 !       LECMWF = .FALSE. 
 ENDIF
+
+!LRRTM  = .FALSE.
+
 !- SRTM as SW scheme
 !!!!! A REVOIR (MPL) verifier signification de LSRTM
@@ -665,5 +670,5 @@
 !    CALL GSTATS(667,0)     MPL 2.12.08
     IF( NPROC > 1 )THEN
-      stop 'Pas pret pour proc > 1'
+      stop'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NDGLG,MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -673,5 +678,5 @@
     ENDIF
     IF( NPROC > 1 )THEN
-      stop 'Pas pret pour proc > 1'
+      stop'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NRGRI(1:RADGRID%NDGLG),MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -848,5 +853,5 @@
         WRITE(NULOUT,'("RADGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(RADGRID%NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.R')
 !         CALL MPL_SEND(ZLATX(1:RADGRID%NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD.R')
@@ -860,5 +865,5 @@
               ENDDO
             ELSE
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.M')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD.M')
@@ -888,5 +893,5 @@
         WRITE(NULOUT,'("MODELGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD')
 !         CALL MPL_SEND(ZLATX(1:NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD')
@@ -901,5 +906,5 @@
               ENDDO
             ELSE
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD')
@@ -1150,5 +1155,5 @@
         IWIDE(10)=NAROB1
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(IWIDE(1:10),KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.W')
         ENDIF
@@ -1156,5 +1161,5 @@
           DO JROC=1,NPROC
             IF( JROC /= MYPROC )THEN
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IWIDE(1:10),KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.W')
             ENDIF
@@ -1521,4 +1526,5 @@
 !     ------------------------------------------------------------------
 
+
 IF (LHOOK) CALL DR_HOOK('SUECRAD',1,ZHOOK_HANDLE)
 END SUBROUTINE SUECRAD
Index: LMDZ5/trunk/libf/phylmd/rrtm/surdi.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/surdi.F90	(revision 2023)
+++ LMDZ5/trunk/libf/phylmd/rrtm/surdi.F90	(revision 2027)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SURDI
 
@@ -50,10 +53,13 @@
 
 USE YOERDI   , ONLY : RRAE     ,&
- & RCARDI   ,RCH4     ,RN2O     ,RO3      ,RCFC11   ,&
- & RCFC12   ,REPCLC   ,REPH2O   ,RSUNDUR  ,&
+! & RCARDI   ,RCH4     ,RN2O     ,RO3      ,RCFC11   ,&
+ & RCFC12, &   
+ & REPCLC   ,REPH2O   ,RSUNDUR  ,&
  & RCCO2    ,RCCH4    ,RCN2O    ,RCCFC11  ,RCCFC12
+
 
 IMPLICIT NONE
 
+!#include "clesphys.h"
 REAL(KIND=JPRB) :: ZAIRMWG, ZC11MWG, ZC12MWG, ZCH4MWG, ZCO2MWG, ZN2OMWG, ZO3MWG
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
@@ -95,13 +101,15 @@
 !RCFC12  = 484.E-12_JPRB*ZC12MWG/ZAIRMWG
 
-RCARDI  = RCCO2   * ZCO2MWG/ZAIRMWG
-RCH4    = RCCH4   * ZCH4MWG/ZAIRMWG
-RN2O    = RCN2O   * ZN2OMWG/ZAIRMWG
-RO3     = 1.E-06_JPRB*ZO3MWG /ZAIRMWG
-RCFC11  = RCCFC11 * ZC11MWG/ZAIRMWG
-RCFC12  = RCCFC12 * ZC12MWG/ZAIRMWG
+!RCARDI  = RCCO2   * ZCO2MWG/ZAIRMWG
+!RCH4    = RCCH4   * ZCH4MWG/ZAIRMWG
+!RN2O    = RCN2O   * ZN2OMWG/ZAIRMWG
+!RO3     = 1.E-06_JPRB*ZO3MWG /ZAIRMWG
+!RCFC11  = RCCFC11 * ZC11MWG/ZAIRMWG
+!RCFC12  = RCCFC12 * ZC12MWG/ZAIRMWG
+
 
 REPCLC=1.E-12_JPRB
 REPH2O=1.E-12_JPRB
+
 
 !     -----------------------------------------------------------------